CCTP fee
GET
/bridge2/fee
const url = 'https://api.getchord.xyz/v1/bridge2/fee?src=1&dst=1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.getchord.xyz/v1/bridge2/fee?src=1&dst=1'Circle’s minimum fee for a fast and a standard transfer between two domains, in basis points.
Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”src
required
integer
Source CCTP domain.
dst
required
integer
Destination CCTP domain.
Responses
Section titled “ Responses ”Media typeapplication/json
object
src
integer
dst
integer
fastBps
number
standardBps
number
Examplegenerated
{ "src": 1, "dst": 1, "fastBps": 1, "standardBps": 1}Invalid parameters — error names the check that failed (INVALID_PARAMS, BAD_ADDRESS, BAD_LIMIT, BAD_HOURS, …).
Media typeapplication/json
Every non-2xx body.
object
error
required
Stable machine code, e.g. INVALID_PARAMS, NOT_READY, RATE_LIMIT_EXCEEDED.
string
message
For humans.
string
statusCode
HTTP status, when included.
integer
Example
{ "error": "INVALID_PARAMS", "message": "amount must be an integer string in the token's smallest unit"}The lane behind this endpoint is not ready or not enabled here (NOT_READY, CHAIN_NOT_ENABLED, NOT_ENABLED, *_UNAVAILABLE). Retry later; do not treat it as an empty answer.
Media typeapplication/json
Every non-2xx body.
object
error
required
Stable machine code, e.g. INVALID_PARAMS, NOT_READY, RATE_LIMIT_EXCEEDED.
string
message
For humans.
string
statusCode
HTTP status, when included.
integer
Example
{ "error": "INVALID_PARAMS", "message": "amount must be an integer string in the token's smallest unit"}